resources

## Class Message

- java.lang.Object
- - resources.Message

-     public class Message
      extends java.lang.Object

  Version:
    1.0
  Author:
    Alan Mills

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Message()`
    `Message(double pSentTime, Constants.MessageType pMessageType, AgentID pFromAgent, AgentID pToAgent)`
    `Message(double pSentTime, Constants.MessageType pMessageType, AgentID pFromAgent, AgentID pToAgent, boolean pNetworkStatus)`
    `Message(double pSentTime, Constants.MessageType pMessageType, AgentID pFromAgent, AgentID pToAgent, Claim pClaim)`
    `Message(double pSentTime, Constants.MessageType pMessageType, AgentID pFromAgent, AgentID pToAgent, Constants.Treatment pTreatment)`
    `Message(double pSentTime, Constants.MessageType pMessageType, AgentID pFromAgent, AgentID pToAgent, Constants.Treatment pTreatment, AgentID pSpecialistReferred)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Claim` | `getClaim()` Gets the claim attribute.
    `AgentID` | `getFromAgent()` Gets the fromAgent attribute.
    `Constants.MessageType` | `getMessageType()` Gets the messageType attribute.
    `boolean` | `getNetworkStatus()` Gets the network status attribute.
    `double` | `getSentTime()` Gets the sentTime attribute.
    `AgentID` | `getSpecialistReferred()` Gets the specialistReferred attribute.
    `AgentID` | `getToAgent()` Gets the toAgent attribute.
    `Constants.Treatment` | `getTreatment()` Gets the treatment attribute.
    `java.lang.String` | `toString()` Returns the message as a string.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Message

          public Message(double pSentTime,
                 Constants.MessageType pMessageType,
                 AgentID pFromAgent,
                 AgentID pToAgent)

    - #### Message

          public Message(double pSentTime,
                 Constants.MessageType pMessageType,
                 AgentID pFromAgent,
                 AgentID pToAgent,
                 Constants.Treatment pTreatment,
                 AgentID pSpecialistReferred)

    - #### Message

          public Message(double pSentTime,
                 Constants.MessageType pMessageType,
                 AgentID pFromAgent,
                 AgentID pToAgent,
                 Constants.Treatment pTreatment)

    - #### Message

          public Message(double pSentTime,
                 Constants.MessageType pMessageType,
                 AgentID pFromAgent,
                 AgentID pToAgent,
                 Claim pClaim)

    - #### Message

          public Message(double pSentTime,
                 Constants.MessageType pMessageType,
                 AgentID pFromAgent,
                 AgentID pToAgent,
                 boolean pNetworkStatus)

    - #### Message

          public Message()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Returns the message as a string.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the message as a string

    - #### getSentTime

          public double getSentTime()

      Gets the sentTime attribute.
      Returns:
        sentTime

    - #### getMessageType

          public Constants.MessageType getMessageType()

      Gets the messageType attribute.
      Returns:
        messageType

    - #### getFromAgent

          public AgentID getFromAgent()

      Gets the fromAgent attribute.
      Returns:
        fromAgent

    - #### getToAgent

          public AgentID getToAgent()

      Gets the toAgent attribute.
      Returns:
        toAgent

    - #### getTreatment

          public Constants.Treatment getTreatment()

      Gets the treatment attribute.
      Returns:
        treatment

    - #### getSpecialistReferred

          public AgentID getSpecialistReferred()

      Gets the specialistReferred attribute.
      Returns:
        specialistReferred

    - #### getClaim

          public Claim getClaim()

      Gets the claim attribute.
      Returns:
        claim

    - #### getNetworkStatus

          public boolean getNetworkStatus()

      Gets the network status attribute.
      Returns:
        networkStatus